[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# DaemonError

Raise an EDaemon exception

## Declaration

Source position: line 0

`procedure DaemonError(`
`Msg: string`
`); procedure DaemonError(`
`Fmt: string;`
`Args: array of Const`
`);`

## Arguments

`Msg` |  | Message for the exception

## Arguments

`Fmt` |  | Formatting string for exception message
`Args` |  | Arguments to format for exception message

## Description

DaemonError raises an EDaemon exception with message Msg or it formats the message using Fmt and Args.

## See also

EDaemon |  | Exception used in all daemon application code

Documentation generated on: Feb 26 2014